



(function($) {

  // Datepicker

  $.fn.nn_datepicker = function() {

    $(this).each(function(){

			var date_format = $(this).attr('data-date-format');



			if( !$(this).attr('data-news-date') ){

				$(this).datepicker({

					dateFormat: date_format,

          altFormat: 'yy-mm-dd',

					changeMonth: true,

          changeYear: true,

          monthNames: [ "जनवरी ","फरवरी","मार्च","अप्रेल","मई","जून",

          "जूलाई","अगस्त ","सितम्बर","अक्टूबर","नवम्बर","दिसम्बर" ],

          monthNamesShort: [ "जन", "फर", "मार्च", "अप्रेल", "मई", "जून",

          "जूलाई", "अग", "सित", "अक्ट", "नव", "दि" ],

          dayNames: [ "आइतबार", "सोमवार", "मंगलवार", "बुधवार", "बिहीवार", "शुक्रवार", "शनिवार" ],

          dayNamesShort: [ "आइत", "सोम", "मंगल", "बुध", "बिही", "शुक्र", "शनि" ],

          dayNamesMin: [ "आइत", "सोम", "मंगल", "बुध", "बिही", "शुक्र", "शनि" ],

          weekHeader: "हफ्ता"

				});

			}else{

				var date_range = $(this).attr('data-news-range');

				var highlight = 0;

				var available_date = JSON.parse($(this).attr('data-news-date'));	

				var current_date = $(this).val();

				var selected_date = current_date;



				$(this).datepicker({

					dateFormat: date_format,

          altFormat: 'yy-mm-dd',

					changeMonth: true,

          changeYear: true,

          monthNames: [ "जनवरी ","फरवरी","मार्च","अप्रेल","मई","जून",

          "जूलाई","अगस्त ","सितम्बर","अक्टूबर","नवम्बर","दिसम्बर" ],

          monthNamesShort: [ "जन", "फर", "मार्च", "अप्रेल", "मई", "जून",

          "जूलाई", "अग", "सित", "अक्ट", "नव", "दि" ],

          dayNames: [ "आइतबार", "सोमवार", "मंगलवार", "बुधवार", "बिहीवार", "शुक्रवार", "शनिवार" ],

          dayNamesShort: [ "आइत", "सोम", "मंगल", "बुध", "बिही", "शुक्र", "शनि" ],

          dayNamesMin: [ "आइत", "सोम", "मंगल", "बुध", "बिही", "शुक्र", "शनि" ],

          weekHeader: "हफ्ता",

					minDate: new Date(available_date[0]),

					maxDate: new Date(available_date[ available_date.length - 1 ]),



					// determine selectable date

					beforeShowDay: function( date ){

						current_date  = date.getFullYear() + '-';

						current_date += ('0' +(date.getMonth() + 1)).slice(-2) + '-';

						current_date += ('0' + date.getDate()).slice(-2);

						var extra_class = '';



						if( selected_date == current_date ){

							highlight = date_range;

						}

						if( highlight > 0 ){

							highlight--;

							extra_class = 'no-news-highlight';

						}



						if( available_date.indexOf(current_date) >= 0 ){

							return [true, extra_class, ''];

						}else{

							return [false, extra_class, ''];

						}

					},



					// for date range

					onSelect: function( dateText, inst ){

						selected_date  = inst.selectedYear + '-';

						selected_date += ('0' +(inst.selectedMonth + 1)).slice(-2) + '-';

						selected_date += ('0' + inst.selectedDay).slice(-2);

					},

				});

				

				var initial_date = new Date(current_date + 'T00:00:00+00:00');

				initial_date = new Date(initial_date.getTime() + (initial_date.getTimezoneOffset() * 60000));

				$(this).datepicker('setDate', initial_date);

			}

		});

  }

  $('.no-search-datepicker').nn_datepicker();



  //navigation stick

  $(window).scroll(function () {

    var headHeight = $('.no-top-logo-section').innerHeight();

    var scrollTop = $(window).scrollTop();

    if (scrollTop > headHeight) {

        $('.no-nav-bar-desktop').addClass('sticky-top');

    } else {

        $('.no-nav-bar-desktop').removeClass('sticky-top');

    }

  });



  //Side menu

  $('.no-side-nav-trigger').on('click', function () {

    $('body').addClass('no-slide-menu-shown').css({'overflow': 'hidden'});

    $('.no-slide-overlay').fadeIn(400);

    $('.no-slide-menu-close').fadeIn(400);

  });

  $('.no-slide-menu-close').on('click', function () {

      $('body').removeClass('no-slide-menu-shown').css({'overflow': 'auto'});

      $(this).fadeOut(400);

      $('.no-slide-overlay').fadeOut(400);

  });



  //Main search trigger

  $('.no-main-search-trigger').on('click', function () {

    $('.no-light-overlay').slideDown(400);

    $('.no-search-news-date').fadeIn(450);

  });



  $('.no-search-news-date-close').on('click', function () {

    $('.no-light-overlay').slideUp(400);

    $('.no-search-news-date').fadeOut(450);

  });



  //Recent updates

  $('.no-recent-updates').off().on('click', function () {

    $('.no-news-recent').slideToggle(400);

    $('.no-search-date').slideUp(400);

    $('.no-news-trending').slideUp(400);

  });



  $('.no-news-recent-close').off().on('click', function () {

    $('.no-news-recent').slideUp(400);

  });



  //Recent trending

  $('.no-recent-trending').off().on('click', function () {

    $('.no-news-trending').slideToggle(400);

    $('.no-search-date').slideUp(400);

    $('.no-news-recent').slideUp(400);

  });



  $('.no-news-trending-close').off().on('click', function () {

    $('.no-news-trending').slideUp(400);

  });



  // News slider

  var noNewsSliderInitType1 = $('.no-news-slider-init-type-1');

  noNewsSliderInitType1.slick({

    arrows: true,

    autoplay: true,

    slidesToShow: 4,

    slidesToScroll: 1,

    pauseOnFocus: false,

    cssEase: 'linear',

    infinite: false,

    responsive: [

      {

        breakpoint: 1200,

        settings: {

          slidesToShow: 3,

          slidesToScroll: 1

        }

      },

      {

        breakpoint: 768,

        settings: {

          slidesToShow: 2,

          slidesToScroll: 1

        }

      },

      {

        breakpoint: 576,

        settings: {

          slidesToShow: 1,

          slidesToScroll: 1

        }

      }

    ]

  });



  var noNewsSliderInitType2 = $('.no-news-slider-init-type-2');

  noNewsSliderInitType2.slick({

    arrows: true,

    autoplay: true,

    slidesToShow: 5,

    slidesToScroll: 1,

    pauseOnFocus: false,

    cssEase: 'linear',

    infinite: false,

    nextArrow: $('#slick-nextID'),

    prevArrow: $('#slick-prevID'),

    responsive: [

      {

        breakpoint: 1200,

        settings: {

          slidesToShow: 3,

          slidesToScroll: 1

        }

      },

      {

        breakpoint: 768,

        settings: {

          slidesToShow: 2,

          slidesToScroll: 1

        }

      },

      {

        breakpoint: 576,

        settings: {

          slidesToShow: 1,

          slidesToScroll: 1

        }

      }

    ]

  });



  // List view or Grid view

  $("#no-list-view").click(function(event) {

    event.preventDefault();

    $("#no-list-view").addClass("no-list-view-active");

    $("#no-grid-view").removeClass("no-grid-view-active");

    $("#no-list-grid-view-content .no-list-grid-view-item").removeClass("no-grid-view-group-item");

    $("#no-list-grid-view-content .no-list-grid-view-item").addClass("no-list-view-group-item");

  });

  $("#no-grid-view").click(function(event) {

    event.preventDefault();

    $("#no-list-view").removeClass("no-list-view-active");

    $("#no-grid-view").addClass("no-grid-view-active");

    $("#no-list-grid-view-content .no-list-grid-view-item").removeClass("no-list-view-group-item");

    $("#no-list-grid-view-content .no-list-grid-view-item").addClass("no-grid-view-group-item");

  });



})(jQuery);

